net.minecraft.util

## Class MessageSerializer

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelOutboundHandlerAdapter
    - - io.netty.handler.codec.MessageToByteEncoder
      - - net.minecraft.util.MessageSerializer

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelOutboundHandler

      public class MessageSerializer
      extends io.netty.handler.codec.MessageToByteEncoder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `encode(io.netty.channel.ChannelHandlerContext p_encode_1_, java.lang.Object p_encode_2_, io.netty.buffer.ByteBuf p_encode_3_)`
    `protected void` | `encode(io.netty.channel.ChannelHandlerContext p_150796_1_, Packet p_150796_2_, io.netty.buffer.ByteBuf p_150796_3_)`

    - ### Methods inherited from class io.netty.handler.codec.MessageToByteEncoder

      `acceptOutboundMessage, write`

    - ### Methods inherited from class io.netty.channel.ChannelOutboundHandlerAdapter

      `bind, close, connect, deregister, disconnect, flush, read`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `exceptionCaught, handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `exceptionCaught, handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### MessageSerializer

          public MessageSerializer()

  - ### Method Detail

    - #### encode

          protected void encode(io.netty.channel.ChannelHandlerContext p_150796_1_,
                    Packet p_150796_2_,
                    io.netty.buffer.ByteBuf p_150796_3_)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encode

          protected void encode(io.netty.channel.ChannelHandlerContext p_encode_1_,
                    java.lang.Object p_encode_2_,
                    io.netty.buffer.ByteBuf p_encode_3_)
                         throws java.io.IOException

      Specified by:
        `encode` in class `io.netty.handler.codec.MessageToByteEncoder`
      Throws:
        `java.io.IOException`